;* --------------------------------------------------------------------------------------
;*  Ted Salazar (^_^)
;*	
;*
;*  Module:        maxq2000_6960
;*  Description:   Functions for:     
;*                 1)MXIM Red/Green Letters
;*                 2)Digits 0-9 Red/Green
;*                 3)Arrows Red(down)/Green(up)
;*
;*  Filename:      maxq2000_6960.asm
;*  Date:          Sept 23, 2005
;*  Version:       1.00
;*
;* --------------------------------------------------------------------------------------

$include (maxQ2000.inc)
$include (max6960_spi.inc)
$include (maxq2000_6960.inc)
$include (serial_IO_6960.inc)


;*******************************************************************************
;* Function:  GrnStockUp/GrnStockNoChange
;*
;* Displays Green Up Arrow and MXIM in Green 
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnStockUp:
GrnStockNoChange:

; 24-bit addressing mode D23-D0
;*************************************************
;* Green Up Arrow
;*************************************************
;*  Byte1 starts @ Addr 0xA0 and ends @ Addr 0xA7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A0h			; Addr 0xA0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0008h			; Data 0x08
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A1h			; Addr 0xA1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Ch			; Data 0x0C
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A2h			; Addr 0xA2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FEh		        ; Data 0xFE
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A3h			; Addr 0xA3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A4h			; Addr 0xA4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A5h			; Addr 0xA5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FEh		        ; Data 0xFE
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A6h			; Addr 0xA6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Ch			; Data 0x0C
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A7h			; Addr 0xA7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0008h			; Data 0x08
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Green "M"
;*************************************************
;*  Byte1 starts @ Addr 0xA8 and ends @ Addr 0xAF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A8h			; Addr 0xA8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00A9h			; Addr 0xA9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0x00FF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00AAh			; Addr 0xAA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ABh			; Addr 0xAB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ACh			; Addr 0xAC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ADh			; Addr 0xAD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00AEh			; Addr 0xAE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00AFh			; Addr 0xAF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Green "X"
;*************************************************
;*  Byte1 starts @ Addr 0xB0 and ends @ Addr 0xB7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B0h		        ; Addr 0xB0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B1h		        ; Addr 0xB1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0x00C3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B2h			; Addr 0xB2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0024h		        ; Data 0x24
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B3h		        ; Addr 0xB3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B4h		        ; Addr 0xB4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B5h			; Addr 0xB5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0024h		        ; Data 0x24
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B6h			; Addr 0xB6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B7h			; Addr 0xB7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************


;*************************************************
;* Green "I"
;*************************************************
;*  Byte1 starts @ Addr 0xB8 and ends @ Addr 0xBF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B8h		        ; Addr 0xB8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00B9h		        ; Addr 0xB9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x0081
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00BAh		        ; Addr 0xBA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x81
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00BBh		        ; Addr 0xBB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00BCh		        ; Addr 0xBC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00BDh		        ; Addr 0xBD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x81
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00BEh		        ; Addr 0xBE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x81
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00BFh			; Addr 0xBF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Green "M"
;*************************************************
;*  Byte1 starts @ Addr 0xC0 and ends @ Addr 0xC7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C0h			; Addr 0xC0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C1h		        ; Addr 0xC1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0x00FF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C2h		        ; Addr 0xC2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C3h			; Addr 0xC3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C4h		        ; Addr 0xC4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C5h			; Addr 0xC5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C6h		        ; Addr 0xC6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C7h		        ; Addr 0xC7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************
    ret 

;*******************************************************************************
;* Function:  RedStockDown
;*
;* Displays Red Down Arrow and MXIM in Red 
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedStockDown:

; 24-bit addressing mode D23-D0
;*************************************************
;* Red Down Arrow
;*************************************************
;*  Byte1 starts @ Addr 0x50 and ends @ Addr 0x57    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #50h			; Addr 0x50
    call    spi_transmit
;*  D7-D0
	move	ACC,   #10h			; Data 0x10
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #51h			; Addr 0x51
    call    spi_transmit
;*  D7-D0
	move	ACC,   #30h			; Data 0x30
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #52h			; Addr 0x52
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Fh		        ; Data 0x7F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #53h			; Addr 0x53
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #54h			; Addr 0x54
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #55h			; Addr 0x55
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Fh		        ; Data 0x7F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #56h			; Addr 0x56
    call    spi_transmit
;*  D7-D0
	move	ACC,   #30h			; Data 0x30
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #57h			; Addr 0x57
    call    spi_transmit
;*  D7-D0
	move	ACC,   #10h			; Data 0x10
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Red "M"
;*************************************************
;*  Byte1 starts @ Addr 0x58 and ends @ Addr 0x5F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #58h			; Addr 0x58
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #59h			; Addr 0x59
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0x00FF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #5Ah			; Addr 0x5A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #5Bh			; Addr 0x5B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #5Ch			; Addr 0x5C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #5Dh			; Addr 0x5D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #5Eh			; Addr 0x5E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #5Fh			; Addr 0x5F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Red "X"
;*************************************************
;*  Byte1 starts @ Addr 0x60 and ends @ Addr 0x67    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0060h		        ; Addr 0x60
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0061h		        ; Addr 0x61
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0x00C3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0062h			; Addr 0x62
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0024h		        ; Data 0x24
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0063h		        ; Addr 0x63
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0064h		        ; Addr 0x64
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0065h			; Addr 0x65
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0024h		        ; Data 0x24
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0066h			; Addr 0x66
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0067h			; Addr 0x67
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Red "I"
;*************************************************
;*  Byte1 starts @ Addr 0x68 and ends @ Addr 0x6F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0068h		        ; Addr 0x68
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0069h		        ; Addr 0x69
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x0081
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #006Ah		        ; Addr 0x6A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x81
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #006Bh		        ; Addr 0x6B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #006Ch		        ; Addr 0x6C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #006Dh		        ; Addr 0x6D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x81
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #006Eh		        ; Addr 0x6E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0081h		        ; Data 0x81
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #006Fh			; Addr 0x6F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************

;*************************************************
;* Red "M"
;*************************************************
;*  Byte1 starts @ Addr 0x70 and ends @ Addr 0x77    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0070h			; Addr 0x70
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0071h		        ; Addr 0x71
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0x00FF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0072h		        ; Addr 0x72
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0073h			; Addr 0x73
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0074h		        ; Addr 0x74
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0004h		        ; Data 0x04
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0075h			; Addr 0x75
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0002h		        ; Data 0x02
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0076h		        ; Addr 0x76
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0077h		        ; Addr 0x77
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
;*************************************************
    ret

;*******************************************************************************
;* Function:  GrnHundredsDigitBlank
;*
;* Displays the Ones Digit Blank to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigitBlank:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigitBlank
;*
;* Displays the Hundreds Digit Blank to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigitBlank:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h		        ; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit1
;*
;* Displays the Ones Digit 1 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit1:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit1
;*
;* Displays the Ones Digit 1 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit1:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit2
;*
;* Displays the Ones Digit 2 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit2:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit2
;*
;* Displays the Ones Digit 2 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit2:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit3
;*
;* Displays the Ones Digit 3 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit3:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit3
;*
;* Displays the Ones Digit 3 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit3:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit4
;*
;* Displays the Ones Digit 4 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit4:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit4
;*
;* Displays the Ones Digit 4 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit4:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnHundredsDigit5
;*
;* Displays the Ones Digit 5 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit5:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit5
;*
;* Displays the Ones Digit 5 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit5:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnHundredsDigit6
;*
;* Displays the Ones Digit 6 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit6:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit6
;*
;* Displays the Ones Digit 6 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit6:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit7
;*
;* Displays the Ones Digit 7 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit7:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit7
;*
;* Displays the Ones Digit 7 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit7:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit8
;*
;* Displays the Ones Digit 8 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit8:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit8
;*
;* Displays the Ones Digit 8 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit8:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit9
;*
;* Displays the Ones Digit 9 to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit9:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit9
;*
;* Displays the Ones Digit 9 to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit9:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundredsDigit?
;*
;* Displays the Ones Digit ? to the C8-CF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundredsDigit?:
;*  Byte1 starts @ Addr 0xC8 and ends @ Addr 0xCF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C8h			; Addr 0xC8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00C9h			; Addr 0xC9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CAh			; Addr 0xCA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CBh			; Addr 0xCB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CCh			; Addr 0xCC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CDh			; Addr 0xCD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CEh			; Addr 0xCE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00CFh			; Addr 0xCF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundredsDigit?
;*
;* Displays the Ones Digit ? to the 78-7F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundredsDigit?:
;*  Byte1 starts @ Addr 0x78 and ends @ Addr 0x7F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0078h			; Addr 0x78
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0079h			; Addr 0x79
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ah			; Addr 0x7A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Bh			; Addr 0x7B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Ch			; Addr 0x7C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Dh			; Addr 0x7D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Eh			; Addr 0x7E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #007Fh			; Addr 0x7F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTensDigit0
;*
;* Displays the Tens Digit 0 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit0:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit0
;*
;* Displays the Tens Digit 0 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit0:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTensDigit1
;*
;* Displays the Tens Digit 1 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit1:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit1
;*
;* Displays the Tens Digit 1 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit1:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTensDigit2
;*
;* Displays the Tens Digit 2 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit2:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit2
;*
;* Displays the Tens Digit 2 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit2:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTensDigit3
;*
;* Displays the Tens Digit 3 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit3:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit3
;*
;* Displays the Tens Digit 3 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit3:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTensDigit4
;*
;* Displays the Tens Digit 4 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit4:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit4
;*
;* Displays the Tens Digit 4 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit4:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTensDigit5
;*
;* Displays the Tens Digit 5 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit5:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit5
;*
;* Displays the Tens Digit 5 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit5:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTensDigit6
;*
;* Displays the Tens Digit 6 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit6:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit6
;*
;* Displays the Tens Digit 6 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit6:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTensDigit7
;*
;* Displays the Tens Digit 7 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit7:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit7
;*
;* Displays the Tens Digit 7 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit7:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTensDigit8
;*
;* Displays the Tens Digit 8 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit8:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit8
;*
;* Displays the Tens Digit 8 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit8:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTensDigit9
;*
;* Displays the Tens Digit 9 to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit9:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit9
;*
;* Displays the Tens Digit 9 to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit9:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTensDigit?
;*
;* Displays the Tens Digit ? to the D0-D7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTensDigit?:
;*  Byte1 starts @ Addr 0xD0 and ends @ Addr 0xD7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D0h			; Addr 0xD0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D1h			; Addr 0xD1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D2h			; Addr 0xD2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D3h			; Addr 0xD3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D4h			; Addr 0xD4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D5h			; Addr 0xD5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D6h			; Addr 0xD6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D7h			; Addr 0xD7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTensDigit?
;*
;* Displays the Tens Digit ? to the 80-87 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTensDigit?:
;*  Byte1 starts @ Addr 0x80 and ends @ Addr 0x87    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0080h			; Addr 0x80
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0081h			; Addr 0x81
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0082h			; Addr 0x82
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0083h			; Addr 0x83
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0084h			; Addr 0x84
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0085h			; Addr 0x85
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0086h			; Addr 0x86
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0087h			; Addr 0x87
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnOnesDigit0
;*
;* Displays the Ones Digit 0 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit0:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit0
;*
;* Displays the Ones Digit 0 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit0:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnOnesDigit1
;*
;* Displays the Ones Digit 1 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit1:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit1
;*
;* Displays the Ones Digit 1 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit1:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit2
;*
;* Displays the Ones Digit 2 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit2:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit2
;*
;* Displays the Ones Digit 2 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit2:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit3
;*
;* Displays the Ones Digit 0 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit3:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit3
;*
;* Displays the Ones Digit 3 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit3:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit4
;*
;* Displays the Ones Digit 4 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit4:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit4
;*
;* Displays the Ones Digit 4 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit4:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnOnesDigit5
;*
;* Displays the Ones Digit 5 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit5:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit5
;*
;* Displays the Ones Digit 5 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit5:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit6
;*
;* Displays the Ones Digit 6 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit6:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit6
;*
;* Displays the Ones Digit 6 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit6:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit7
;*
;* Displays the Ones Digit 7 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit7:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit7
;*
;* Displays the Ones Digit 7 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit7:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit8
;*
;* Displays the Ones Digit 8 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit8:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit8
;*
;* Displays the Ones Digit 8 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit8:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit9
;*
;* Displays the Ones Digit 9 to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit9:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit9
;*
;* Displays the Ones Digit 9 to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit9:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnOnesDigit?
;*
;* Displays the Ones Digit ? to the D8-DF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnOnesDigit?:
;*  Byte1 starts @ Addr 0xD8 and ends @ Addr 0xDF    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D8h			; Addr 0xD8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00D9h			; Addr 0xD9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DAh			; Addr 0xDA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DBh			; Addr 0xDB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DCh			; Addr 0xDC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DDh			; Addr 0xDD
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DEh			; Addr 0xDE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00DFh			; Addr 0xDF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedOnesDigit?
;*
;* Displays the Ones Digit ? to the 88-8F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedOnesDigit?:
;*  Byte1 starts @ Addr 0x88 and ends @ Addr 0x8F    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0088h			; Addr 0x88
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0089h			; Addr 0x89
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ah			; Addr 0x8A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Bh			; Addr 0x8B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Ch			; Addr 0x8C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Dh			; Addr 0x8D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Eh			; Addr 0x8E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #008Fh			; Addr 0x8F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTenthsDigit0
;*
;* Displays the Tenths Digit 0 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit0:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit0
;*
;* Displays the Tenths Digit 0 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit0:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit1
;*
;* Displays the Tens Digit 1 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit1:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit1
;*
;* Displays the Tens Digit 1 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit1:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit2
;*
;* Displays the Tens Digit 2 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit2:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit2
;*
;* Displays the Tens Digit 2 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit2:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit3
;*
;* Displays the Tens Digit 3 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit3:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit3
;*
;* Displays the Tens Digit 3 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit3:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit4
;*
;* Displays the Tenths Digit 4 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit4:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit4
;*
;* Displays the Tenths Digit 4 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit4:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit5
;*
;* Displays the Tenths Digit 5 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit5:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit5
;*
;* Displays the Tenths Digit 5 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit5:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit6
;*
;* Displays the Tenths Digit 6 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit6:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit6
;*
;* Displays the Tenths Digit 6 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit6:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTenthsDigit7
;*
;* Displays the Tenths Digit 7 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit7:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit7
;*
;* Displays the Tenths Digit 7 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit7:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTenthsDigit8
;*
;* Displays the Tenths Digit 8 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit8:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit8
;*
;* Displays the Tenths Digit 8 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit8:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTenthsDigit9
;*
;* Displays the Tenths Digit 9 to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit9:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit9
;*
;* Displays the Tenths Digit 9 to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit9:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnTenthsDigit?
;*
;* Displays the Tenths Digit ? to the E0-E7 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigit?:
;*  Byte1 starts @ Addr 0xE0 and ends @ Addr 0xE7    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E0h			; Addr 0xE0
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E1h			; Addr 0xE1
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E2h			; Addr 0xE2
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E3h			; Addr 0xE3
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E4h			; Addr 0xE4
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E5h			; Addr 0xE5
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E6h			; Addr 0xE6
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E7h			; Addr 0xE7
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigit?
;*
;* Displays the Tenths Digit ? to the 90-97 memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigit?:
;*  Byte1 starts @ Addr 0x90 and ends @ Addr 0x97    

;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0090h			; Addr 0x90
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0091h			; Addr 0x91
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0092h			; Addr 0x92
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0093h			; Addr 0x93
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0094h			; Addr 0x94
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0095h			; Addr 0x95
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0096h			; Addr 0x96
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0097h			; Addr 0x97
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnTenthsDigitRedDecimalPoint
;*
;* Displays half of the Green Tenths Digit Red Decimal Point
;* 
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnTenthsDigitRedDecimalPoint:
;*  Byte1  @ Addr 0x3F
;*  24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #003Fh			; Addr 0x3F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedTenthsDigitGrnDecimalPoint
;*
;* Displays half of the Red Tenths Digit Red Decimal Point
;* 
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedTenthsDigitGrnDecimalPoint:
;*  Byte1  @ Addr 0x12F
;*  24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #01h			; Write Mode, Plane 0 & Addr 0x'1'2F
    call    spi_transmit
;*  D15-D8
	move	ACC,   #002Fh			; Addr 0x12F => 0x1'2F'
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnHundrethsDigit0
;*
;* Displays the Hundreths Digit 0 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit0:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit0
;*
;* Displays the Hundreths Digit 0 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit0:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit1
;*
;* Displays the Hundreths Digit 1 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit1:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit1
;*
;* Displays the Hundreths Digit 1 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit1:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C2h		        ; Data 0xC2
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h		        ; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit2
;*
;* Displays the Hundreths Digit 2 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit2:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit2
;*
;* Displays the Hundreths Digit 2 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit2:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C6h			; Data 0xC6
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00E7h		        ; Data 0xE7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00F3h		        ; Data 0xF3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00CFh		        ; Data 0xCF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C7h			; Data 0xC7
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit3
;*
;* Displays the Hundreths Digit 3 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit3:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit3
;*
;* Displays the Hundreths Digit 3 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit3:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0042h			; Data 0x42
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit4
;*
;* Displays the Hundreths Digit 4 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit4:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit4
;*
;* Displays the Hundreths Digit 4 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit4:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0018h		        ; Data 0x18
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit5
;*
;* Displays the Hundreths Digit 5 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit5:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit5
;*
;* Displays the Hundreths Digit 5 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit5:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh			; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DFh		        ; Data 0xDF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0073h			; Data 0x73
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnHundrethsDigit6
;*
;* Displays the Hundreths Digit 6 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit6:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit6
;*
;* Displays the Hundreths Digit 6 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit6:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #007Eh			; Data 0x7E
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FBh		        ; Data 0xFB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0072h			; Data 0x72
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnHundrethsDigit7
;*
;* Displays the Hundreths Digit 7 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit7:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit7
;*
;* Displays the Hundreths Digit 7 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit7:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0083h			; Data 0x83
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C3h		        ; Data 0xC3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0063h		        ; Data 0x63
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0033h		        ; Data 0x33
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh			; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit8
;*
;* Displays the Hundreths Digit 8 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit8:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit8
;*
;* Displays the Hundreths Digit 8 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit8:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit9
;*
;* Displays the Hundreths Digit 9 to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit9:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit9
;*
;* Displays the Hundreths Digit 9 to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit9:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh			; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Fh		        ; Data 0x1F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #001Bh		        ; Data 0x1B
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh		        ; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00FFh			; Data 0xFF
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  GrnHundrethsDigit?
;*
;* Displays the Hundreths Digit ? to the E8-EF memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigit?:
;*  Byte1 starts @ Addr 0xE8 and ends @ Addr 0xEF    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E8h			; Addr 0xE8
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00E9h			; Addr 0xE9
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EAh			; Addr 0xEA
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EBh			; Addr 0xEB
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00ECh			; Addr 0xEC
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EDh			; Addr 0xED
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EEh			; Addr 0xEE
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #00EFh			; Addr 0xEF
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  RedHundrethsDigit?
;*
;* Displays the Hundreths Digit ? to the 98-9F memory of the MAX6960.
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigit?:
;*  Byte1 starts @ Addr 0x98 and ends @ Addr 0x9F    
;*  1st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0098h			; Addr 0x98
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  2st 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0099h			; Addr 0x99
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  3rd 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ah			; Addr 0x9A
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0007h		        ; Data 0x07
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  4th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Bh			; Addr 0x9B
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00D3h		        ; Data 0xD3
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  5th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Ch			; Addr 0x9C
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00DBh		        ; Data 0xDB
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  6th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Dh			; Addr 0x9D
    call    spi_transmit
;*  D7-D0
	move	ACC,   #000Fh		        ; Data 0x0F
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  7th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Eh			; Addr 0x9E
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0006h			; Data 0x06
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.

;*  8th 24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #009Fh			; Addr 0x9F
    call    spi_transmit
;*  D7-D0
	move	ACC,   #0000h			; Data 0x00
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

;*******************************************************************************
;* Function:  GrnHundrethsDigitRedDecimalPoint
;*
;* Displays half of the Green Hundreths Digit Red Decimal Point
;* 
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
GrnHundrethsDigitRedDecimalPoint:
;*  Byte1  @ Addr 0x40
;*  24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #00h			; Write Mode, Plane 0
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0040h			; Addr 0x40
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************


;*******************************************************************************
;* Function:  RedHundrethsDigitGrnDecimalPoint
;*
;* Displays half of the Red Hundreths Digit Red Decimal Point
;* 
;*
;* Input:     ACC - the character to send.
;*
;* Output:    ACC - the character received.
;*
;* Destroys:
;*
;*******************************************************************************
RedHundrethsDigitGrnDecimalPoint:
;*  Byte1  @ Addr 0x40
;*  24-bit operation
    move    PO5.4, #0           ; Set /CS low.
;*	D23-D16
	move	ACC,   #01h			; Write Mode, Plane 0  Addr=0x'1'30
    call    spi_transmit
;*  D15-D8
	move	ACC,   #0030h			; Addr 0x130 => 0x1'30'
    call    spi_transmit
;*  D7-D0
	move	ACC,   #00C0h			; Data 0xC0
    call    spi_transmit
    move    PO5.4, #1           ; Set /CS high.
    ret
;*************************************************

end
